Name:           perl-Archive-Any-Lite
Version:        0.11
Release:        1%{?dist}
Summary:        Simple CPAN package extractor
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Archive-Any-Lite/
Source0:        http://www.cpan.org/authors/id/I/IS/ISHIGAKI/Archive-Any-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Archive::Tar) >= 1.76
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(IO::Uncompress::Bunzip2)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(Test::More) >= 0.82
BuildRequires:  perl(Test::UseAllModules) >= 0.10
Requires:       perl(Archive::Tar) >= 1.76
Requires:       perl(Archive::Zip)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(IO::Uncompress::Bunzip2)
Requires:       perl(IO::Zlib)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a fork of Archive::Any by Michael Schwern and Clint Moore. The main
difference is this works properly even when you fork(), and may require
less memory to extract a tarball. On the other hand, this isn't pluggable
(this only supports file formats used in the CPAN toolchains), and this
doesn't check mime types (at least as of this writing).

%prep
%setup -q -n Archive-Any-Lite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 15 2019 Michael Stauber <mstauber@blueonyx.it> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
